Public Attributes | List of all members
ble_gattc_evt_t Struct Reference
BLE » Generic Attribute Profile (GATT) » Generic Attribute Profile (GATT) Client » Structures

BLE GATTC event structure. More...

`#include <ble_gattc.h>`

Collaboration diagram for ble_gattc_evt_t:
[legend]

## Public Attributes
uint8_t | index
| Index of connection. More...
union {
ble_gattc_evt_browse_srvc_t srvc_browse
| Browce service discovery response event. More...
ble_gattc_evt_srvc_disc_t prim_srvc_disc
| Primary service discovery response event. More...
ble_gattc_evt_incl_disc_t inc_srvc_disc
| Include service discovery response event. More...
ble_gattc_evt_char_disc_t char_disc
| Characteristic discovery response event. More...
ble_gattc_evt_char_desc_disc_t char_desc_disc
| Characteristic descriptor discovery response event. More...
ble_gattc_evt_read_t read_rsp
| Read response event. More...
ble_gattc_evt_write_t write_rsp
| Write response event. More...
ble_gattc_evt_ntf_ind_t ntf_ind
| Handle value Notification/Indication response. More...
} | params
| Event Parameters. More...

## Detailed Description

BLE GATTC event structure.

Definition at line 288 of file ble_gattc.h.

## Member Data Documentation

## ◆ char_desc_disc

ble_gattc_evt_char_desc_disc_t ble_gattc_evt_t::char_desc_disc

Characteristic descriptor discovery response event.

Definition at line 297 of file ble_gattc.h.

## ◆ char_disc

ble_gattc_evt_char_disc_t ble_gattc_evt_t::char_disc

Characteristic discovery response event.

Definition at line 296 of file ble_gattc.h.

## ◆ inc_srvc_disc

ble_gattc_evt_incl_disc_t ble_gattc_evt_t::inc_srvc_disc

Include service discovery response event.

Definition at line 295 of file ble_gattc.h.

## ◆ index

uint8_t ble_gattc_evt_t::index

Index of connection.

Definition at line 290 of file ble_gattc.h.

## ◆ ntf_ind

ble_gattc_evt_ntf_ind_t ble_gattc_evt_t::ntf_ind

Handle value Notification/Indication response.

Definition at line 300 of file ble_gattc.h.

## ◆ params

union { ... } ble_gattc_evt_t::params

Event Parameters.

## ◆ prim_srvc_disc

ble_gattc_evt_srvc_disc_t ble_gattc_evt_t::prim_srvc_disc

Primary service discovery response event.

Definition at line 294 of file ble_gattc.h.

## ◆ read_rsp

ble_gattc_evt_read_t ble_gattc_evt_t::read_rsp

Read response event.

Definition at line 298 of file ble_gattc.h.

## ◆ srvc_browse

ble_gattc_evt_browse_srvc_t ble_gattc_evt_t::srvc_browse

Browce service discovery response event.

Definition at line 293 of file ble_gattc.h.

## ◆ write_rsp

ble_gattc_evt_write_t ble_gattc_evt_t::write_rsp

Write response event.

Definition at line 299 of file ble_gattc.h.

The documentation for this struct was generated from the following file:

- ble_gattc.h